# Interface JmolAbstractButton

All Known Implementing Classes:
  `JmolButton, JmolLabel, JmolPanel.AnimButton, JmolToggleButton, KeyJCheckBox, KeyJCheckBoxMenuItem, KeyJMenu, KeyJMenuItem, KeyJRadioButtonMenuItem`

public interface JmolAbstractButton

## Method Summary

Modifier and Type
Method
Description
`void`
`addConsoleListener(Object console)`
`String`
`getKey()`
`String`
`getName()`
`boolean`
`isSelected()`
`void`
`setEnabled(boolean b)`
`void`
`setMnemonic(char mnemonic)`
`void`
`setText(String label)`
`void`
`setToolTipText(String tip)`

## Method Details

### setMnemonic

void setMnemonic(char mnemonic)

### setToolTipText

void setToolTipText(String tip)

### setText

void setText(String label)

### getKey

String getKey()

### isSelected

boolean isSelected()

### setEnabled

void setEnabled(boolean b)

### addConsoleListener

void addConsoleListener(Object console)

### getName

String getName()